@echo off

set DriveLetter={[DriveLetter]}
set ServerShare={[ServerShare]}
set Persistent={[Persistent]}
set ShareUser={[ShareUser]}
set SharePass={[SharePass]}

net use %DriveLetter% /d /y

net use %DriveLetter% %ServerShare% /persistent:%Persistent% /user:%ShareUser% %SharePass%

net use